<template>
<st-content :heading="'Coordinador '">
  <st-back-btn/>
  <st-update 
    :key="componentKey"
    :data="{ ids, fields }"
    v-model="dialog"
    @refresh="refresh"
  />
  <div class="content-body">
    <div class="table-heading">
      <st-subtitle text="Datos generales"/>
      <st-edit-btn @click="open"/>
    </div>
    <v-row>
      <v-col md="6" v-for="(field,index) in fields" :key="index">
        <v-row align="center" no-gutters>
          <v-col md="4"><v-label>{{ field.label }}</v-label></v-col>
          <v-col md="8"><v-label>{{ field.value }}</v-label></v-col>
        </v-row>
      </v-col>
    </v-row>
</div>
</st-content>
</template>

<script>
import UpdateCoordinator from '@/components/admin/UpdateCoordinator'
export default {
  data () {
    return {
      componentKey: 0,
      dialog: false,
      ids: null,
      fields:{
        correo: { label:'Correo', value: '...Cargando' },
        codigo: { label:'Código', value: '...Cargando' },
        nombres: { label:'Nombres', value: '...Cargando' },
        apellidoPat: { label:'Apellido Paterno', value: '...Cargando' },
        apellidoMat: { label:'Apellido Materno', value: '...Cargando' },
        telefono: { label:'Teléfono', value: '...Cargando' }
      },
    }
  },
  mounted(){
    this.getInfo()
  },
  components:{
    'st-update': UpdateCoordinator
  },
  methods: {
    open(){
      this.dialog = true
      this.componentKey += 1; //forceRerender
    },
    refresh(value){
      this.dialog = false
      this.getInfo()
    },
    async getInfo(){
      try{
        let { data: { data } } = await this.$api.getCoordinator(this.$route.params.id)
        let { idCoordinador, idUsuario, ...others } = data
        this.ids = { idCoordinador, idUsuario }
        for (let prop in others){
          this.fields[prop].value = others[prop] 
        }
      } catch (e) {
        this.$store.commit('setError', e)
      }
    }
  }
}
</script>

<style scoped lang="scss">
</style>
